<html>
<head>
    <meta charset="utf-8" />
    <title>Тестовое задание</title>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.6/angular.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">


    <!-- Latest compiled and minified JavaScript -->
    <script src="https://code.jquery.com/jquery-1.12.4.min.js" type="text/javascript"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

    <script src="/js/dirPagination.js" type="text/javascript"></script>
    <script src="http://momentjs.com/downloads/moment-with-locales.js" type="text/javascript"></script>
    <script src="/js/datetimepicker.js" type="text/javascript"></script>
    <script src="/js/datetimepicker.templates.js" type="text/javascript"></script>
    <script src="/js/controller.js" type="text/javascript"></script>

    <link rel="stylesheet" href="/css/datetimepicker.css">

</head>

<body ng-app="scheduleApp" ng-controller="indexController" ng-init="init()">
    <div class="container">
        <div class="col-lg-12">
            <div class="col-lg-7">
                <h3>Список поездок</h3>
                <div class="col-lg-6">
                    <label>Дата начала сортировки</label>
                    <div class="dropdown">
                        <a class="dropdown-toggle" role="button" data-toggle="dropdown" data-target="#" href="#">
                            <div class="input-group">
                                <input type="text" name="date" class="form-control" data-ng-model="filterRange.dateStart">
                                <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </a>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                            <datetimepicker   data-ng-model="filterRange.dateStart"
                                              data-datetimepicker-config="{ startView: 'day', minView: 'day'}"></datetimepicker>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-6">
                    <label>Дата конца сортировки</label>
                    <div class="dropdown">
                        <a class="dropdown-toggle" role="button" data-toggle="dropdown" data-target="#" href="#">
                            <div class="input-group">
                                <input type="text" name="date" class="form-control" data-ng-model="filterRange.dateEnd" ng-disabled="!filterRange.dateStart">
                                <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </a>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                            <datetimepicker   data-ng-model="filterRange.dateEnd"
                                              data-datetimepicker-config="{ startView: 'day', minView: 'day', renderOn: 'filter-range-start-changed'}"
                                              data-before-render="beforeFilterRangeEndTimePickerRender($view, $dates, $leftDate, $upDate, $rightDate)">
                            </datetimepicker>
                        </ul>
                    </div>
                </div>
                <table class="table table-hover table-striped" ng-show="filteredSchedule.length">
                    <thead>
                        <tr>
                            <th>Курьер</th>
                            <th>Регион назначения</th>
                            <th>Дата поездки</th>
                        </tr>
                    </thead>
                    <tbody>
                    <dir-pagination-controls pagination-id="branch"></dir-pagination-controls>
                        <tr dir-paginate="item in filteredSchedule | itemsPerPage: 15" pagination-id="branch">
                            <td>{{getCourierById(item.courier_id).name}}</td>
                            <td>{{getRegionById(item.target_region_id).name}}</td>
                            <td>{{item.departure_date.day}}.{{item.departure_date.month}}.{{item.departure_date.year}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-lg-5">
                <form role="form">
                    <h3>Добавить поездку</h3>
                    <div class="form-group">
                        <label>Выберите регион назначения</label>
                        <select ng-options="region as region.name for region in regions track by region.id" ng-model="addTripForm.region" class="form-control"></select>
                    </div>
                    <div class="form-group">
                        <div class="alert alert-info" ng-show="addTripForm.region">
                            Доставка в данный регион занимает {{addTripForm.region.delivery_time}} дня(-ей).
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Выберите курьера</label>
                        <select ng-options="courier as courier.name for courier in couriers track by courier.id" ng-model="addTripForm.courier" class="form-control"></select>
                    </div>
                    <div class="form-group" ng-show="addTripForm.courier">
                        <label>Выберите дату</label>
                        <datetimepicker data-ng-model="addTripForm.date" data-on-set-time="onTimeSet(newDate, oldDate)" data-before-render="beforeTimePickerRender($view, $dates, $leftDate, $upDate, $rightDate)" data-datetimepicker-config="dateTimePickerConfig"></datetimepicker>
                    </div>

                    <div class="form-group" ng-show="addTripForm.hasErrors()">
                        <div class="alert alert-danger">
                            <p ng-show="addTripForm.errors.badDate">
                                Нельзя отправить курьера в этот день, т.к. он не успеет вернуться к следующей поездке.
                            </p>
                        </div>
                    </div>
                    <div class="form-group" ng-show="addTripForm.result">
                        <div class="alert alert-success">
                            Поездка успешно добавлена в расписание!
                        </div>
                    </div>

                    <div class="form-group">
                        <button class="btn btn-success" ng-disabled="!addTripForm.region || !addTripForm.courier" ng-click="addTrip()"><i class="glyphicon glyphicon-plus"></i> Добавить поездку</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</body>
</html>